#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "exemplopilha.h"

int main()
{
    int procura;
    Pilha *aPilha=criaPilha();
    Pilha *retbusca;
    if (PilhaVazia(aPilha)==1)
        printf("\nA pilha esta vazia\n");
    else
        printf("\nA pilha nao esta vazia\n");
    aPilha = Push(aPilha,1);
    aPilha = Push(aPilha,47);
    aPilha = Push(aPilha,88);
    aPilha = Push(aPilha,12);
    aPilha = Push(aPilha,22);
    aPilha = Push(aPilha,23);
    aPilha = Push(aPilha,45);
    imprimePilha(aPilha);
    if (PilhaVazia(aPilha)==1)
        printf("\nA pilha esta vazia\n");
    else
        printf("\nA pilha nao esta vazia\n");
    printf("\nDigite um elemento para ser procurado: ");
    scanf("%d",&procura);
    retbusca=Busca(aPilha,procura);
    if(retbusca==NULL)
        printf("\nElemento nao encontrado!\n");
    else
        printf("\nElemento encontrado!\n");
    imprimePilha(aPilha);
    printf("\nPopndo um elemento");
    aPilha=Pop(aPilha);
    imprimePilha(aPilha);
    printf("\nPopndo um elemento");
    aPilha=Pop(aPilha);
    imprimePilha(aPilha);
    printf("\nPopndo um elemento");
    aPilha=Pop(aPilha);
    imprimePilha(aPilha);
    liberaPilha(aPilha);
return 0;
}
